diff -Naur /usr/local/brion/boost/1.57.0_1/include/boost/polygon/isotropy.hpp boost/polygon/isotropy.hpp
--- /usr/local/brion/boost/1.57.0_1/include/boost/polygon/isotropy.hpp	2015-01-07 16:09:36.821845000 -0800
+++ boost/polygon/isotropy.hpp	2015-07-29 16:49:38.000000000 -0700
@@ -128,7 +128,7 @@
 
   struct undefined_concept {};
 
-  template <typename T>
+  template <typename T, typename Enable = void>
   struct geometry_concept { typedef undefined_concept type; };
 
   template <typename GCT, typename T>
diff -Naur /usr/local/brion/boost/1.57.0_1/include/boost/polygon/point_traits.hpp boost/polygon/point_traits.hpp
--- /usr/local/brion/boost/1.57.0_1/include/boost/polygon/point_traits.hpp	2015-01-07 16:09:36.822843000 -0800
+++ boost/polygon/point_traits.hpp	2015-07-29 16:49:53.000000000 -0700
@@ -17,7 +17,7 @@
 namespace boost {
 namespace polygon {
 
-template <typename PointType>
+template <typename PointType, typename Enable = void>
 struct point_traits {
   typedef PointType point_type;
   typedef typename point_type::coordinate_type coordinate_type;
@@ -28,7 +28,7 @@
   }
 };
 
-template <typename PointType>
+template <typename PointType, typename Enable = void>
 struct point_mutable_traits {
   typedef PointType point_type;
   typedef typename point_type::coordinate_type coordinate_type;
diff -Naur /usr/local/brion/boost/1.57.0_1/include/boost/polygon/polygon_90_set_traits.hpp boost/polygon/polygon_90_set_traits.hpp
--- /usr/local/brion/boost/1.57.0_1/include/boost/polygon/polygon_90_set_traits.hpp	2015-01-07 16:09:36.837845000 -0800
+++ boost/polygon/polygon_90_set_traits.hpp	2015-07-29 17:05:31.000000000 -0700
@@ -42,7 +42,7 @@
   struct polygon_90_set_traits;
   template <typename T>
   struct polygon_45_set_traits;
-  template <typename T>
+  template <typename T, typename Enable = void>
   struct polygon_set_traits;
   template <typename T>
   struct traits_by_concept<T, polygon_90_set_concept> { typedef polygon_90_set_traits<T> type; };
diff -Naur /usr/local/brion/boost/1.57.0_1/include/boost/polygon/polygon_set_traits.hpp boost/polygon/polygon_set_traits.hpp
--- /usr/local/brion/boost/1.57.0_1/include/boost/polygon/polygon_set_traits.hpp	2015-01-07 16:09:36.867843000 -0800
+++ boost/polygon/polygon_set_traits.hpp	2015-07-29 17:08:17.000000000 -0700
@@ -12,7 +12,7 @@
   struct polygon_set_concept {};
 
   //default definition of polygon set traits works for any model of polygon , polygon with holes or any vector or list thereof
-  template <typename T>
+  template <typename T, typename Enable>
   struct polygon_set_traits {
     typedef typename get_coordinate_type<T, typename geometry_concept<T>::type >::type coordinate_type;
     typedef typename get_iterator_type<T>::type iterator_type;
@@ -74,7 +74,7 @@
       typename is_polygonal_concept<typename geometry_concept<typename std::vector<T>::value_type>::type>::type>::type type;
   };
 
-  template <typename T>
+  template <typename T, typename Enable = void>
   struct polygon_set_mutable_traits {};
   template <typename T>
   struct polygon_set_mutable_traits<std::list<T> > {
diff -Naur /usr/local/brion/boost/1.57.0_1/include/boost/polygon/polygon_traits.hpp boost/polygon/polygon_traits.hpp
--- /usr/local/brion/boost/1.57.0_1/include/boost/polygon/polygon_traits.hpp	2015-01-07 16:09:36.869839000 -0800
+++ boost/polygon/polygon_traits.hpp	2015-07-30 10:27:11.000000000 -0700
@@ -35,7 +35,7 @@
     }
   };
 
-  template <typename T>
+  template <typename T, typename Enable = void>
   struct polygon_traits_general {
     typedef typename T::coordinate_type coordinate_type;
     typedef typename T::iterator_type iterator_type;
